LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
OfxInvestmentTransactionContainer Class Reference

Represents a bank or credid card transaction. More...

Inheritance diagram for OfxInvestmentTransactionContainer:

## Public Member Functions
| OfxInvestmentTransactionContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.
| OfxInvestmentTransactionContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.
| OfxInvestmentTransactionContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.

## Detailed Description

Represents a bank or credid card transaction.

Built from the diferent investment transaction OFX entity

Definition at line 232 of file lib/ofx_containers.hh.

## Member Function Documentation

void OfxInvestmentTransactionContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxTransactionContainer.

Definition at line 396 of file lib/ofx_container_transaction.cpp.

void OfxInvestmentTransactionContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxTransactionContainer.

void OfxInvestmentTransactionContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxTransactionContainer.

The documentation for this class was generated from the following files:

- lib/ofx_containers.hh
- libofx-0.9.5/lib/ofx_containers.hh
- tar-pax-libofx/lib/ofx_containers.hh
- lib/ofx_container_transaction.cpp
- libofx-0.9.5/lib/ofx_container_transaction.cpp
- tar-pax-libofx/lib/ofx_container_transaction.cpp